Subject: Re: bug#33230: 26.1; Soft-wrap issue in term.el with term-suppress-hard-newline

From: Noam Postavsky <[email-masked]>
Date: Thu, 01 Nov 2018 18:53:21 -0400

Bruno CHARRON <[email-masked]> writes:

> Running 'emacs -Q', I load the latest 'term.el' in master (commit
> bd36ab5), then set term-suppress-hard-newline to 't' and launch 'term'
> with zsh as shell.
> When typing a command which overflows the screen width, the shell sends
> a "soft-wrap" after typing a character on the last column, say 'x
> ^M^[[K' after typing 'x' but 'term' does not wrap, it continues the same
> row.

Can you explain exactly what you're typing in?  I don't understand what
'x^M^[[K' means here.  Is specific to zsh?  Is it specific to your
prompt settings?